// e02_showimageFromVideo.cpp: Load image from video stream.

#include "opencv\cv.hpp"
#include <iostream>

#define ESCAPE 27

using namespace cv;
using namespace std;

int main(int argc, char* argv[])
{
	// Name of the video
	char* name = "honda-asimo.avi";

	// "Capture" image extraction
	VideoCapture capture;

	// Objects
	Mat frame;

	// keyboard pressed
	char keypressed = 0;

	// Check the success for image reading
	bool success;

	// Load image from disk
	capture.open(name);
	// if not success, exit program
	if (!capture.isOpened()){
		cout << "error in VideoCapture: check path file" << endl;
		return 1;
	}

	// Create window canvas to show image
	namedWindow("original", CV_WINDOW_AUTOSIZE);

	while (keypressed != ESCAPE){
		// read frame by frame in a loop
		success = capture.read(frame);

		// if no success exit program
		if (success == false){
			cout << "Cannot read the frame from file" << endl;
			return 1;
		}

		// Show image in window
		imshow("original", frame);

		// save the pres in keypressed
		keypressed = waitKey(0);
	}

	// Free memory
	destroyWindow("original");
	capture.release();
	// End of the program
	return 0;
}