// e03_showimageFromCamera.cpp: Load image from camera.

#include "opencv\cv.hpp"
#include <iostream>

#define ESCAPE 27

using namespace cv;
using namespace std;

int main(int argc, char* argv[])
{
	// Start "Capture" in default device (0)
	VideoCapture capture(0);
	if (!capture.isOpened()){
		cout << "error in VideoCapture: check device" << endl;
		return 1;
	}

	// Objects
	Mat frame;
	
	// keyboard pressed
	char keypressed = 0;

	// Check the success for image reading
	bool success;

	// Create window canvas to show image
	namedWindow("original", CV_WINDOW_AUTOSIZE);

	while (keypressed != ESCAPE){
		// read frame by frame in a loop
		success = capture.read(frame);
		//capture >> frame;
		// if no success exit program
		if (success == false){
			cout << "Cannot read the frame from file" << endl;
			return 1;
		}

		// Show image in window
		imshow("original", frame);

		// save the pres in keypressed
		keypressed = waitKey(0);
	}

	// Free memory
	destroyWindow("original");
	capture.release();
	// End of the program
	return 0;
}